Get startedSign in

Create git repository

POST/v1/api/cd/git/repositories
Body parameters
Responses
ParameterTypeDescription
connection_idstringThe id of the scm connection to use for authentication
passphrasestringA passphrase to decrypt the given private key
passwordstringThe http password for http authenticated repos
private_keystringAn ssh private key to use with this repo if an ssh url was given
urlrequiredstringThe url of the git repository, can be either an https or ssh url
usernamestringThe http username for authenticated http repos, defaults to apiKey for github
Response samples
200
{
  "auth_method": "basic",
  "error": "string",
  "health": "pullable",
  "https_path": "string",
  "id": "string",
  "inserted_at": "string",
  "pulled_at": "string",
  "updated_at": "string",
  "url": "string",
  "url_format": "string"
}